When I use Insertblock method i'm getting this Command: Duplicate definition of block ADCADD_ZZ ignored. Duplicate definition of block _ArchTick ignored. At command line. I dont want to show above text at command line. is any code that not show above text when you run this code? Sub Example_InsertBlock() Dim insertionPnt(0 To 2) As Double insertionPnt(0) = 0#: insertionPnt(1) = 0#: insertionPnt(2) = 0# ' Insert the block Dim blockRefObj As AcadBlockReference insertionPnt(0) = 2#: insertionPnt(1) = 2#: insertionPnt(2) = 0 Set blockRefObj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt, "p:\drivename\test.dwg", 1#, 1#, 1#, 0) End Sub Thank you for you help.
hi, not beautiful, but set the variable "NOMUTT" to 1 and, after your inserted the block, back to 0, be careful that during 1 the user will not see any message and also if your function fails at any point before setting it back to 0, the user will not see anything within the command area anymore (until he restarts acad or sets the variable back while typing it blind), so make sure to have an "emergency exit" in which you set this variable back to 0. - alfred -